Bug 189323 - squid-2.4.STABLE7-0.73.3.legacy restarting frequently.
Summary: squid-2.4.STABLE7-0.73.3.legacy restarting frequently.
Status: CLOSED WONTFIX
Alias: None
Product: Fedora Legacy
Classification: Retired
Component: squid
Version: rhl7.3
Hardware: i386
OS: Linux
medium
high
Target Milestone: ---
Assignee: Fedora Legacy Bugs
QA Contact:
URL:
Whiteboard: LEGACY, rh73, rh90, 1, 2, 3, DEFER
Keywords:
Depends On: 152809
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-04-19 05:19 UTC by Ian Mortimer
Modified: 2007-09-04 02:46 UTC (History)
1 user (show)

(edit)
Clone Of:
(edit)
Last Closed: 2007-09-04 02:46:06 UTC


Attachments (Terms of Use)
Backported patch that applied to RHL 7.3's version of squid (1.67 KB, patch)
2006-05-06 23:52 UTC, David Eisenstein
no flags Details | Diff

Description Ian Mortimer 2006-04-19 05:19:44 UTC
Description of problem:


Version-Release number of selected component (if applicable):
squid-2.4.STABLE7-0.73.3.legacy


How reproducible:
Always


Steps to Reproduce:
1. Upgrade squid from Fedora legacy
2.
3.
  
Actual results:
Squid becomes very unreliable - restarting frequently under load.

Expected results:
It should be stable as was the previous version under the same load.

Additional info:
After upgrading squid to the latest Fedora legacy release about a month ago
we've had a dramatic drop in reliability.  Squid constantly restarts, sometimes
has to be manually restarted.  The previously installed
squid-2.4.STABLE6-6.7.3.i386 was rock solid.  Reverting to that fixes the
current problem (which proves the upgrade is at fault) but leaves us open to a
number of security holes.

This is a fairly standard RH 7.3 squid box.  We are using pam_auth for
authentication and we use two upstream parent proxies for most external sites.

The cache log shows nothing of interest.  In many cases two restarts will
follow each other with no intervening messages.


Thanks
--
Ian

Comment 1 David Eisenstein 2006-04-21 03:06:34 UTC
(The package reported here was created in bug #152809.)

I will look into this with the build team and we will see what we can come
up with.

Reporter- We may need your help reproducing this error.  But first, do
you have any error messages or entries in the system error log that
accompany squid's failures?



Comment 2 Ian Mortimer 2006-04-21 03:24:23 UTC
Many entries in /var/log/messages like this:

Apr 19 13:34:22 proxy squid[28692]: Squid Parent: child process 31687 started
Apr 19 13:34:23 proxy squid[28692]: Squid Parent: child process 31687 exited due
to signal 6
Apr 19 13:34:26 proxy squid[28692]: Squid Parent: child process 31706 started
Apr 19 13:34:30 proxy squid[28692]: Squid Parent: child process 31706 exited due
to signal 6
Apr 19 13:34:33 proxy squid[28692]: Squid Parent: child process 31726 started
Apr 19 13:34:35 proxy squid[28692]: Squid Parent: child process 31726 exited due
to signal 6

Eventually followed by this:

Apr 19 13:34:35 proxy squid[28692]: Exiting due to repeated, frequent failures

Nothing in squid's cache log other than the normal startup messages.

Comment 3 David Eisenstein 2006-04-21 11:19:31 UTC
Ian,

Would you give this package a try and get back to us as to whether or not it
works for you?  Thanks.

http://turbosphere.fedoralegacy.org/logs/redhat-7.3-core/86-squid-2.4.STABLE7-0.73.4.legacy/i386/squid-2.4.STABLE7-0.73.4.legacy.i386.rpm

Changelog:
* Fri Apr 21 2006 David Eisenstein <deisenst@gtw.net> 7:2.4.STABLE7-0.73.4.legacy
- Added DNS fix patch for Bug #189323, backported from RHEL4's patch for
  Bug #160704


Comment 4 Ian Mortimer 2006-04-24 04:12:26 UTC
Working fine so far (day 1).  I'll report again at the end of the week.

Comment 5 Ian Mortimer 2006-05-01 23:29:03 UTC
Has been working flawlessly for a week now so I'd say the problem is solved
(at least for us anyway).  Thanks for your help.

Comment 6 David Eisenstein 2006-05-06 22:19:28 UTC
You're welcome.

It appears that this bug affects more than just RHL 7.3.  It would appear to
affect RHL 9, FC1, FC2, and FC3, because this issue was fixed in Red Hat
Enterprise Linux versions 2.1, 3, and 4.  References:

   *  RHEL 3:  <http://rhn.redhat.com/errata/RHSA-2006-0045.html>,
      Bug #165367
   *  RHEL 4:  <http://rhn.redhat.com/errata/RHSA-2006-0052.html>,
      Bug #160704
   *  RHEL 2.1:  (Can't find anything.)

I will keep this bug report open as a reminder for us to include this fix
for all our distros when the next security bug for Squid comes up...

Thanks for bringing this to our attention, Ian!  :)

Comment 7 David Eisenstein 2006-05-06 23:52:37 UTC
Created attachment 128697 [details]
Backported patch that applied to RHL 7.3's version of squid

BTW- the original patch for RHEL 4's bug is attachment 120555 [details] (from
Bug #160704 comment 53).  We will have to determine if this patch will
apply to squid versions later than RHL 7.3's.

The backported patch that applied to RHL 7.3's sources is attached.

Comment 8 David Eisenstein 2007-09-04 02:46:06 UTC
Fedora Legacy project is closed.  This issue will not be fixed by Fedora Legacy.


Note You need to log in before you can comment on or make changes to this bug.